Skip to main content
GET
/
v1
/
sessions
/
{session_identifier}
Get session by ID or session_id
curl --request GET \
  --url https://api.example.com/v1/sessions/{session_identifier}
import requests

url = "https://api.example.com/v1/sessions/{session_identifier}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/sessions/{session_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "session_id": "<string>",
    "project_id": "<string>",
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z",
    "traces": [
      {
        "id": "<string>",
        "trace_id": "<string>",
        "start_time": "2023-11-07T05:31:56Z",
        "end_time": "2023-11-07T05:31:56Z"
      }
    ],
    "token_count_prompt": 0,
    "token_count_completion": 0,
    "token_count_total": 0
  }
}
"<string>"
"<string>"
"<string>"

Path Parameters

session_identifier
string
required

The session identifier: either a GlobalID or user-provided session_id string.

Response

Successful Response

data
SessionData · object
required